#! /usr/bin/env python
#
#     Copyright (C) 2005 Ronan Keegan
#
#     This code is distributed under the terms and conditions of the
#     CCP4 Program Suite Licence Agreement as a CCP4 Application.
#     A copy of the CCP4 licence can be obtained by writing to the
#     CCP4 Secretary, Daresbury Laboratory, Warrington WA4 4AD, UK.
#
#
#
# Script to print the guide to installing the CCP4i modules for MrBUMP
# Can be used for other CCP4 gui related stuff
# Ronan Keegan 16/12/05

import os, sys

class CCP4_GUI:

   def __init__(self):
      self.name=''

   def display_instructions(self, dir, log):

      out  = "Instructions for installing the MrBUMP tasks in CCP4i\n"

      out += "\n"
      out += "#########################################################################\n"
      out += "To install the MrBUMP CCP4i task carry out the following steps:\n"
      out += "#########################################################################\n"
      out += "\n"
      out += "  1. Start the CCP4i gui, click on the 'System Administration'\n"
      out += "     tab and select 'Install/uninstall Tasks'.\n"
      out += "\n"
      out += "  2. Where it says 'Run the Installation Manager to' select\n"
      out += "     'install a new task'.\n"
      out += "\n"
      out += "  3. Under the 'Install Package Information' section, where\n"
      out += "     it says 'Task Archive', browse to the MrBUMP-ccp4i.tar.gz file\n"
      out += "      which should be in the folder:\n"
      out += "     " + os.path.join(dir, 'ccp4i') + "\n"
      out += "\n"
      out += "  4. When you have selected the MrBUMP-ccp4i.tar.gz file click on the\n"
      out += "     'Apply' button.\n"
      out += "\n"
      out += "  5. Restart ccp4i. The MrBUMP tasks should appear in the\n"
      out += "     'Program List' and 'Molecular Replacement' menus.\n"
      out += "\n"
      out += "#########################################################################\n"
      out += "\n"
      out += "These instructions are also available in the README.txt file\n"
      out += "\n"

      # Output to stdout and the log file
      sys.stdout.write(out)
      log.write(out)
 
if __name__=='__main__':

   c=CCP4_GUI()
   c.display_instructions("./", "logfile")
