# Test the ccp4i.py code
import ccp4i
print "test_ccp4i_2: starting"
project = "mm"
dir = "/home/wy45/work/co/CVSROOT/Bioxhit_db/python_dbhandler/mm"
template = "./database-template.def"
db = ccp4i.database(project,dir,template="./database-template.def")
print "*** Testing for existence of project ***"
if db.exists():
    # Project already exists
    print "\tProject "+project+" already exists"
    print "*** Opening ***"
    if not db.open():
        # Open failed
        print "\tOpen failed"
        db.close()
        exit(1)
    else:
        # Open appears to have succeeded
        print "\tOpen succeeded"
else:
    # Project doesn't exist
    print "\tProject "+project+" doesn't exist"
    print "*** Creating ***"
    if not db.create():
        # Create failed
        print "\tCreate failed"
        db.close()
        exit(1)
    else:
        # Create appears to have succeeded
        print "\tCreate succeeded"
# Database is now open
print "*** Retrieve number of jobs and list ***"
print "\tnjobs: "+str(db.njobs())
print "\tlist : "+str(db.listjobs())
if db.njobs() != db.listjobs()[-1]:
    # Something wrong in the listing
    print "ERROR data is inconsistent"
    exit(1)
# Make and populate a new job
print "*** Make a new job ***"
newjob = db.newjob(taskname="dummy",title="Dummy title",status="DUMMY")
print "\tNew job number = "+str(newjob)
print "*** Retrieve number of jobs and list ***"
print "\tnjobs: "+str(db.njobs())
print "\tlist : "+str(db.listjobs())
if db.njobs() != db.listjobs()[-1]:
    # Something wrong in the listing
    print "ERROR data is inconsistent"
    exit(1)
# Finished
print "*** Closing the project ***"
db.close()
