#! /usr/bin/env python
#
#     Copyright (C) 2005 Ronan Keegan
#
#     This code is distributed under the terms and conditions of the
#     CCP4 Program Suite Licence Agreement as a CCP4 Application.
#     A copy of the CCP4 licence can be obtained by writing to the
#     CCP4 Secretary, Daresbury Laboratory, Warrington WA4 4AD, UK.
#
#


class pdbclip()

   def __init__(self):
      self.name=''
      try:
         self.debug=eval(os.environ['MRBUMP_DEBUG'])
      except:
         self.debug=False

   def coord_format(self):

       os.system('mkdir -p ' + mrsearchdir + '/data/' + chain_list[chain].chainName + '/pdbclip')
       pdbclip_dir = mrsearchdir + '/data/' + chain_list[chain].chainName + '/pdbclip'
       chain_list[chain].setClipModelPDB(chain_list[chain].PDBFile)

       # Write the key file for coord_format
       cf_key =  'FIXBLANK\n'
       cf_key += 'END\n'

       cf_keyfile=pdbclip_dir + '/cf_key.in'
       cf_key_input=open(cf_keyfile, 'w')
       cf_key_input.write(cf_key)
       cf_key_input.close()

       # Run coord_format to fix any chain naming errors
       termination=False
       o=os.popen('coord_format xyzin ' + chain_list[chain].PDBFile + ' xyzout ' + pdbclip_dir + '/cf_' + chain + '.pdb' \
       + ' < ' + cf_keyfile + ' | tee ' + mrsearchdir + '/data/' + chain + '/pdbclip/coord_format_' + chain + '.log', 'r')
       out=o.readline()

       while out:
          if 'Normal termination' in out:
             termination=True
          out=o.readline()
       o.close()

       if not termination:
          print "PDB download log: coord_format failed for %s" % chain 


       # Write the key file for pdbset
       ps_key =  'EXCLUDE HOH\n'
       ps_key += 'END\n'

       ps_keyfile=pdbclip_dir + '/ps_key.in'
       ps_key_input=open(ps_keyfile, 'w')
       ps_key_input.write(ps_key)
       ps_key_input.close()

       # Run pdbset to remove the waters
       termination=False
       o=os.popen('pdbset xyzin ' + pdbclip_dir + '/cf_' + chain + '.pdb' + ' xyzout ' + pdbclip_dir + '/ps_' + chain + '.pdb' \
       + ' < ' + ps_keyfile + ' | tee ' + mrsearchdir + '/data/' + chain + '/pdbclip/pdbset_' + chain + '.log', 'r')
       out=o.readline()

       while out:
          if 'Normal completion PDBSET' in out:
             termination=True
          out=o.readline()
       o.close()

